<?php
/* 
 * See readme.txt for explanation as to how "sg-x", "push-x" and "pull-x"
 * classes work to define layout.
 */
 
// Define page region class variables for whether 1 or 2 sidebars
// 
//

function squaregrid_preprocess_page(&$variables, $hook) {
  $page = $variables['page'];

// if both sidebars are present
  if ($page['sidebar_first'] && $page['sidebar_second']) {
    $variables['class_content'] = t('sg-17 push-11');
    $variables['class_sidebar_first'] = t('sg-10 pull-18');
    $variables['class_sidebar_second'] = t('sg-6');
  }

// if only first sidebar is present
  if ($page['sidebar_first'] && !$page['sidebar_second']) {
    $variables['class_content'] = t('sg-21 push-14');
    $variables['class_sidebar_first'] = t('sg-13 pull-22');
  }

// if only second sidebar is present
  if ($page['sidebar_second'] && !$page['sidebar_first']) {
    $variables['class_content'] = t('sg-21');
    $variables['class_sidebar_second'] = t('sg-13');
  }
  
// if no sidebar is present
  if (!$page['sidebar_first'] && !$page['sidebar_second']) {
    $variables['class_content'] = t('sg-35');
  }
  
// For easy printing of basic page elements
// Branding
  $variables['logo_img'] = '';
  if (!empty($variables['logo'])) {
    $variables['logo_img'] = theme('image__logo', array(
      'path'  => $variables['logo'],
      'alt'   => t('Site Logo'),
    ));
  }
  $variables['linked_logo_img']  = '';
  if (!empty($variables['logo_img'])) {
    $variables['linked_logo_img'] = l($variables['logo_img'], '<front>', array(
      'html' => TRUE,
      'attributes' => array(
        'rel'   => 'home',
        'title' => t('Home'),
      ),
    ));
  }
  $variables['linked_site_name'] = '';
  if (!empty($variables['site_name'])) {
    $variables['linked_site_name'] = l($variables['site_name'], '<front>', array(
      'attributes' => array(
        'rel'   => 'home',
        'title' => t('Home'),
      ),
    ));
  }
  // Site navigation links.
  $variables['main_menu_links'] = theme('links__system_main_menu', array(
    'links' => $variables['main_menu'],
    'attributes' => array(
      'id'    => 'main-menu',
      'class' => array('main-menu', 'inline'),
    ),
    'heading' => array(
      'text'  => t('Main menu'),
      'level' => 'h2',
      'class' => array('element-invisible'),
    ),
  ));
  $variables['secondary_menu_links'] = theme('links__system_secondary_menu', array(
    'links' => $variables['secondary_menu'],
    'attributes' => array(
      'id'    => 'secondary-menu',
      'class' => array('secondary-menu', 'inline', 'hello'),
    ),
    'heading' => array(
      'text'  => t('Secondary menu'),
      'level' => 'h2',
      'class' => array('element-invisible'),
    ),
  ));
  
  
}

// Add helpful classes to node arrays

function squaregrid_preprocess_node(&$variables, $hook) {
// Add an unpublished variable
  $variables['unpublished'] = (!$variables['status']) ? TRUE : FALSE;

// Add a class for user's own node
  if ($variables['uid'] && $variables['uid'] == $GLOBALS['user']->uid) {
    $variables['classes_array'][] = 'node-by-viewer';
  }

  $variables['title_attributes_array']['class'][] = 'node-title';
}


// Add helpful classes to comment arrays

function squaregrid_preprocess_comment(&$variables, $hook) {

// If comment subjects are disabled, don't display them.
  if (variable_get('comment_subject_field_' . $variables['node']->type, 1) == 0) {
    $variables['title'] = '';
  }

// Add zebra classes
  if ($variables['id'] == 1) {
    $variables['classes_array'][] = 'first';
  }
  if ($variables['id'] == $variables['node']->comment_count) {
    $variables['classes_array'][] = 'last';
  }
  $variables['classes_array'][] = $variables['zebra'];

// Mark title with comment title class
  $variables['title_attributes_array']['class'][] = 'comment-title';
}


// Add helpful classes to regions
function squaregrid_preprocess_region(&$variables, $hook) {
  // Sidebar regions get some extra classes and a common template suggestion.
  if (strpos($variables['region'], 'sidebar_') === 0) {
    $variables['classes_array'][] = 'supplementary-content';
  }
}
